#if WorkItems
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Day.Q32024.WorkItems;

public class Fields
{
    [JsonConstructor]
    public Fields(int customRRminusOE,
                  CustomRequester? customRequester,
                  float customWSJF,
                  int microsoftVSTSCommonBusinessValue,
                  DateTime microsoftVSTSCommonClosedDate,
                  int microsoftVSTSCommonPriority,
                  DateTime microsoftVSTSCommonResolvedDate,
                  DateTime microsoftVSTSCommonStateChangeDate,
                  float microsoftVSTSCommonTimeCriticality,
                  float? microsoftVSTSSchedulingEffort,
                  DateTime microsoftVSTSSchedulingStartDate,
                  DateTime microsoftVSTSSchedulingTargetDate,
                  string systemAreaPath,
                  SystemAssignedTo systemAssignedTo,
                  SystemChangedBy systemChangedBy,
                  DateTime systemChangedDate,
                  int systemCommentCount,
                  SystemCreatedBy systemCreatedBy,
                  DateTime systemCreatedDate,
                  string systemDescription,
                  string systemHistory,
                  string systemIterationPath,
                  int systemParent,
                  string systemReason,
                  string systemState,
                  string systemTags,
                  string systemTeamProject,
                  string systemTitle,
                  string systemWorkItemType)
    {
        CustomRequester = customRequester;
        CustomRRminusOE = customRRminusOE;
        CustomWSJF = customWSJF;
        MicrosoftVSTSCommonBusinessValue = microsoftVSTSCommonBusinessValue;
        MicrosoftVSTSCommonClosedDate = microsoftVSTSCommonClosedDate;
        MicrosoftVSTSCommonPriority = microsoftVSTSCommonPriority;
        MicrosoftVSTSCommonResolvedDate = microsoftVSTSCommonResolvedDate;
        MicrosoftVSTSCommonStateChangeDate = microsoftVSTSCommonStateChangeDate;
        MicrosoftVSTSCommonTimeCriticality = microsoftVSTSCommonTimeCriticality;
        MicrosoftVSTSSchedulingEffort = microsoftVSTSSchedulingEffort;
        MicrosoftVSTSSchedulingStartDate = microsoftVSTSSchedulingStartDate;
        MicrosoftVSTSSchedulingTargetDate = microsoftVSTSSchedulingTargetDate;
        SystemAreaPath = systemAreaPath;
        SystemAssignedTo = systemAssignedTo;
        SystemChangedBy = systemChangedBy;
        SystemChangedDate = systemChangedDate;
        SystemCommentCount = systemCommentCount;
        SystemCreatedBy = systemCreatedBy;
        SystemCreatedDate = systemCreatedDate;
        SystemDescription = systemDescription;
        SystemHistory = systemHistory;
        SystemIterationPath = systemIterationPath;
        SystemParent = systemParent;
        SystemReason = systemReason;
        SystemState = systemState;
        SystemTags = systemTags;
        SystemTeamProject = systemTeamProject;
        SystemTitle = systemTitle;
        SystemWorkItemType = systemWorkItemType;
    }

    [JsonPropertyName("Custom.Requester")] public CustomRequester? CustomRequester { get; } // { init; get; }
    [JsonPropertyName("Custom.RRminusOE")] public int CustomRRminusOE { get; } // { init; get; }
    [JsonPropertyName("Custom.WSJF")] public float CustomWSJF { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Common.BusinessValue")] public int MicrosoftVSTSCommonBusinessValue { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Common.ClosedDate")] public DateTime MicrosoftVSTSCommonClosedDate { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Common.Priority")] public int MicrosoftVSTSCommonPriority { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Common.ResolvedDate")] public DateTime MicrosoftVSTSCommonResolvedDate { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Common.StateChangeDate")] public DateTime MicrosoftVSTSCommonStateChangeDate { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Common.TimeCriticality")] public float MicrosoftVSTSCommonTimeCriticality { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Scheduling.Effort")] public float? MicrosoftVSTSSchedulingEffort { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Scheduling.StartDate")] public DateTime MicrosoftVSTSSchedulingStartDate { get; } // { init; get; }
    [JsonPropertyName("Microsoft.VSTS.Scheduling.TargetDate")] public DateTime MicrosoftVSTSSchedulingTargetDate { get; } // { init; get; }
    [JsonPropertyName("System.AreaPath")] public string SystemAreaPath { get; } // { init; get; }
    [JsonPropertyName("System.AssignedTo")] public SystemAssignedTo? SystemAssignedTo { get; } // { init; get; }
    [JsonPropertyName("System.ChangedBy")] public SystemChangedBy SystemChangedBy { get; } // { init; get; }
    [JsonPropertyName("System.ChangedDate")] public DateTime SystemChangedDate { get; } // { init; get; }
    [JsonPropertyName("System.CommentCount")] public int SystemCommentCount { get; } // { init; get; }
    [JsonPropertyName("System.CreatedBy")] public SystemCreatedBy SystemCreatedBy { get; } // { init; get; }
    [JsonPropertyName("System.CreatedDate")] public DateTime SystemCreatedDate { get; } // { init; get; }
    [JsonPropertyName("System.Description")] public string SystemDescription { get; } // { init; get; }
    [JsonPropertyName("System.History")] public string SystemHistory { get; } // { init; get; }
    [JsonPropertyName("System.IterationPath")] public string SystemIterationPath { get; } // { init; get; }
    [JsonPropertyName("System.Parent")] public int SystemParent { get; } // { init; get; }
    [JsonPropertyName("System.Reason")] public string SystemReason { get; } // { init; get; }
    [JsonPropertyName("System.State")] public string SystemState { get; } // { init; get; }
    [JsonPropertyName("System.Tags")] public string SystemTags { get; } // { init; get; }
    [JsonPropertyName("System.TeamProject")] public string SystemTeamProject { get; } // { init; get; }
    [JsonPropertyName("System.Title")] public string SystemTitle { get; } // { init; get; }
    [JsonPropertyName("System.WorkItemType")] public string SystemWorkItemType { get; } // { init; get; }

}
#endif