#if WorkItems
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Day.Q32024.WorkItems;

public class SystemCreatedBy
{
    [JsonConstructor]
    public SystemCreatedBy(
        string displayName,
        string url,
        Links links,
        string id,
        string uniqueName,
        string imageUrl,
        string descriptor
    )
    {
        DisplayName = displayName;
        Url = url;
        Links = links;
        Id = id;
        UniqueName = uniqueName;
        ImageUrl = imageUrl;
        Descriptor = descriptor;
    }

    [JsonPropertyName("displayName")]
    public string DisplayName { get; }

    [JsonPropertyName("url")]
    public string Url { get; }

    [JsonPropertyName("_links")]
    public Links Links { get; }

    [JsonPropertyName("id")]
    public string Id { get; }

    [JsonPropertyName("uniqueName")]
    public string UniqueName { get; }

    [JsonPropertyName("imageUrl")]
    public string ImageUrl { get; }

    [JsonPropertyName("descriptor")]
    public string Descriptor { get; }
}
#endif