using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

internal record LineNumber(int? Created,
                           int? H1,
                           int? FrontMatterYamlEnd,
                           int? Status,
                           int? Type,
                           int? Updated);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(LineNumber))]
internal partial class LineNumberSourceGenerationContext : JsonSerializerContext
{
}