#if WorkItems
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Day.Q32024.ConvertExcelToJson;

public class FIBacklogMesa
{
    [JsonConstructor]
    public FIBacklogMesa(string req,
                         string submitted,
                         string requestor,
                         string assignedTo,
                         string secondResource,
                         string subject,
                         string systemS,
                         string priority,
                         string training,
                         string prioritySubset,
                         string status,
                         string definition,
                         string updates,
                         string estEffortDays,
                         string commitDate,
                         string reCommitDate,
                         string uATAsOf,
                         string cmpDate,
                         string f20,
                         string f21,
                         string f22,
                         string f23,
                         string f24,
                         string f25,
                         string f26,
                         string f27,
                         string f28,
                         string f29,
                         string f30,
                         string f31,
                         string f32,
                         string f33)
    {
        Req = req;
        Submitted = submitted;
        Requestor = requestor;
        AssignedTo = assignedTo;
        SecondResource = secondResource;
        Subject = subject;
        SystemS = systemS;
        Priority = priority;
        Training = training;
        PrioritySubset = prioritySubset;
        Status = status;
        Definition = definition;
        Updates = updates;
        EstEffortDays = estEffortDays;
        CommitDate = commitDate;
        ReCommitDate = reCommitDate;
        UATAsOf = uATAsOf;
        CMPDate = cmpDate;
        F20 = f20;
        F21 = f21;
        F22 = f22;
        F23 = f23;
        F24 = f24;
        F25 = f25;
        F26 = f26;
        F27 = f27;
        F28 = f28;
        F29 = f29;
        F30 = f30;
        F31 = f31;
        F32 = f32;
        F33 = f33;
    }

    public string Req { get; set; } // { init;  get; }
    public string Submitted { get; set; } // { init;  get; }
    public string Requestor { get; set; } // { init;  get; }

    [JsonPropertyName("Assigned To")]
    public string AssignedTo { get; set; } // { init;  get; }

    [JsonPropertyName("Second Resource")]
    public string SecondResource { get; set; } // { init;  get; }

    [JsonPropertyName("Subject - from Requestor")]
    public string Subject { get; set; } // { init;  get; }

    [JsonPropertyName("System(s)")]
    public string SystemS { get; set; } // { init;  get; }

    public string Priority { get; set; } // { init;  get; }

    [JsonPropertyName("Spec/ECN/Training")]
    public string Training { get; set; } // { init;  get; }

    [JsonPropertyName("Qual/Eff")]
    public string PrioritySubset { get; set; } // { init;  get; }
    public string Status { get; set; } // { init;  get; }

    [JsonPropertyName("Definition - from FI")]
    public string Definition { get; set; } // { init;  get; }
    public string Updates { get; set; } // { init;  get; }

    [JsonPropertyName("Est Effort _(days)")]
    public string EstEffortDays { get; set; } // { init;  get; }

    [JsonPropertyName("Commit Date")]
    public string CommitDate { get; set; } // { init;  get; }

    [JsonPropertyName("Re-Commit Date")]
    public string ReCommitDate { get; set; } // { init;  get; }

    [JsonPropertyName("UAT as of")]
    public string UATAsOf { get; set; } // { init;  get; }

    [JsonPropertyName("CMP _Date")]
    public string CMPDate { get; set; } // { init;  get; }
    public string F20 { get; set; } // { init;  get; }
    public string F21 { get; set; } // { init;  get; }
    public string F22 { get; set; } // { init;  get; }
    public string F23 { get; set; } // { init;  get; }
    public string F24 { get; set; } // { init;  get; }
    public string F25 { get; set; } // { init;  get; }
    public string F26 { get; set; } // { init;  get; }
    public string F27 { get; set; } // { init;  get; }
    public string F28 { get; set; } // { init;  get; }
    public string F29 { get; set; } // { init;  get; }
    public string F30 { get; set; } // { init;  get; }
    public string F31 { get; set; } // { init;  get; }
    public string F32 { get; set; } // { init;  get; }
    public string F33 { get; set; } // { init;  get; }
}

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull, PropertyNameCaseInsensitive = true)]
[JsonSerializable(typeof(FIBacklogMesa[]))]
internal partial class FIBacklogMesaCollectionSourceGenerationContext : JsonSerializerContext
{
}

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull, PropertyNameCaseInsensitive = true)]
[JsonSerializable(typeof(FIBacklogMesa))]
internal partial class FIBacklogMesaSourceGenerationContext : JsonSerializerContext
{
}
#endif