#if WorkItems
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

public record Comment([property: JsonPropertyName("workItemId")] int? WorkItemId,
                      [property: JsonPropertyName("id")] int? Id,
                      [property: JsonPropertyName("version")] int? Version,
                      [property: JsonPropertyName("text")] string? Text,
                      [property: JsonPropertyName("createdBy")] CreatedBy CreatedBy,
                      [property: JsonPropertyName("createdDate")] DateTime CreatedDate,
                      [property: JsonPropertyName("modifiedBy")] ModifiedBy ModifiedBy,
                      [property: JsonPropertyName("modifiedDate")] DateTime ModifiedDate,
                      [property: JsonPropertyName("url")] string? Url);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Comment))]
internal partial class CommentSourceGenerationContext : JsonSerializerContext
{
}
#endif